SABLEVM(1)

NAME
Manual page of 'java' wrapper for SableVM - free (LGPL) Java virtual machine

SYNOPSIS
java-sablevm [OPTION]... CLASSNAME [ARGUMENT]...

DESCRIPTION

[-]-addclasspath ADDEDCLASSPATH
    appends ADDEDCLASSPATH at the end of CLASSPATH (note that parameters' order is important!)

[-]-cp CLASSPATH, [-]-classpath CLASSPATH, [-]-classpath=CLASSPATH
    set CLASSPATH for program to be run (overrides value of CLASSPATH environment variable)

-DPROPERTY=VALUE
    set PROPERTY value to VALUE

-h, [-]-help, -?
    show help (not implemented yet, see manual page)

-jar FILE
    execute content of FILE as a jar type file (requires unzip utility installed); note that you can't specify CLASSNAME in this case

[-]-showversion
    show version (like -V) and continue execution

-v, [-]-verbose
    enable all verbose options (might *flood* you if SableVM is compiled with debugging options)

[-]-verbose-gc
    enable verbose garbage collection

[-]-verbose[:]jni
    enable verbose Java Native Interface

-V, [-]-version
    show version information, including some compilation options

-Xbootclasspath:/pa/th, -Xbootclasspath/p:/pa/th, -Xbootclasspath/a:/pa/th
    set the value of the boot classpath, prepend or append a value to it

-Xgnuclasspath:/dir/ectory
    sets the location of GNU Classpath libraries (not sablevm-classpath); NOTE: due to ever-changing nature of VM <-> Classpath interfaces you might need to use the latest SableVM snapshot if you want to run the latest GNU Classpath CVS directly with SableVM; This option is meant mainly for Java Virtual Machine and GNU Classpath developers and advanced users.

--  end of options marker - CLASSNAME (if any) and ARGUMENTS (if any) should follow

RECOGNIZED ENVIRONMENTAL VARIABLES

CLASSPATH
    used as the classpath for the program being started, unless -cp was specified

LD_LIBRARY_PATH
    used to search for location of native java libraries, incompatible with setting java.library.path property

OPTIONS IGNORED

[-]-debug, -Xdebug, (extended debug options)

-ss VALUE, (maximal stack size)

-ms VALUE, (initial heap size)

-ms VALUE, (maximum heap size)

-X[...], (other extended option)

-noverify, (turn off bytecode verifier)

-verbosemem, (verbose memory allocation)

-verbosegc, (verbose memory allocation)

-verbosejit, (verbose memory allocation)

-verbose[...], (other verbose option)

-vmdebug opt1[,opt2...], (other debug option)
    All the above options are recognized by java-sablevm wrapper and ignored. Their handling is either not implemented by the wrapper or by sablevm binary (and thus they can not be translated to options sablevm is able to recognize).

DEBUGGING PROPERTIES
The below properties are only usable when SableVM was compiled with --enable-debugging-features, which is not the case ie. for binary distributions.

sablevm.verbose.methods
    when operating on a binary compiled with debugging features - setting this property to true outputs names of every method that is to be executed

sablevm.verbose.instructions
    when operating on a binary compiled with debugging features - setting this property to true outputs names of every instruction that is to be executed (WARNING: expect flood!!!)

sablevm.verbose.synchronization
    when operating on a binary compiled with debugging features - setting this property to true causes SableVM to dump a stack trace on every locking contention and on fat lock acquisition.

SEE ALSO
sablevm(1)

For more informations about SableVM see http://sablevm.org